%define name berry-theme
%define version 0.72
%define release b1

Name:		%{name}
Summary:	The Berry Linux Theme
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		User Interface/Desktops
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}
##Conflicts:	kdebase
Provides:	hicolor-icon-theme, redhat-artwork >= 0.239-2, desktop-background-basic

BuildArchitectures: noarch


%description
Theme for Berry Linux for KDE splash, sidebar and wallpaper.


##
## Setup Section
##

%prep
%setup -q


##
## Build Section
##

%build


##
## Install Section
##

%install
install -m 755 -d %{buildroot}/usr/share/wallpapers
install -m 755 wallpapers/* %{buildroot}/usr/share/wallpapers
ln -s cherry.jpg %{buildroot}/usr/share/wallpapers/berry-bg.jpg

install -m 755 -d %{buildroot}/usr/share/apps/kicker/pics
cp -a kicker/* %{buildroot}/usr/share/apps/kicker/pics

# for KSplash Theme
install -m 755 -d %{buildroot}/usr/share/apps/ksplash/Themes/Berry
cp -a ksplash/* %{buildroot}/usr/share/apps/ksplash/Themes/Berry
mkdir %{buildroot}/usr/share/config
cat << EOM > %{buildroot}/usr/share/config/ksplashrc
[KSplash]
Theme=Berry
EOM

# for Log Off
install -m 755 -d %{buildroot}/usr/share/apps/ksmserver/pics
cp -a ksmserver/* %{buildroot}/usr/share/apps/ksmserver/pics

# for icons
install -d -m 755 %{buildroot}/usr/share/icons
cp -a icons/* %{buildroot}/usr/share/icons
install -d -m 755 %{buildroot}/usr/share/icons/hicolor

# for KDM Theme
install -d -m 755 %{buildroot}/usr/share/apps/kdm/themes/Berry
cp -a Berry/* %{buildroot}/usr/share/apps/kdm/themes/Berry

# for Start Screen's Logo
install -d -m 755 %{buildroot}/opt/berry
cp berry.jpg %{buildroot}/opt/berry

# for Qt
install -d -m 755 %{buildroot}/usr/lib/qt-3.3/etc/settings
cp qtrc %{buildroot}/usr/lib/qt-3.3/etc/settings

# for grub
install -d -m 755 %{buildroot}/boot/grub
cp splash.xpm.gz %{buildroot}/boot/grub

#rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT/usr/share/apps/kstyle
#mkdir -p $RPM_BUILD_ROOT/usr/share/apps/kthememgr/Themes
#mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
#mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
#mkdir -p $RPM_BUILD_ROOT/usr/share/apps/kwin/icewm-themes
#pushd style
#  cp -R -f pixmaps $RPM_BUILD_ROOT/usr/share/apps/kstyle/
#  cp -R -f themes $RPM_BUILD_ROOT/usr/share/apps/kstyle/
#  cp -R -f wallpapers $RPM_BUILD_ROOT/usr/share/
#popd
#pushd theme
#  cp -f Acqua.ktheme $RPM_BUILD_ROOT/usr/share/apps/kthememgr/Themes/
#  cp -R -f Acqua $RPM_BUILD_ROOT/usr/share/apps/kwin/icewm-themes/
#popd


##
## Clean Section
##

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


##
## Files Section
##

%files
%defattr (-,root,root)
/boot/grub/*
/usr/lib/qt-3.3/etc/settings/*
/usr/share/apps/kdm/themes/*
/usr/share/apps/kicker/pics/*
/usr/share/apps/ksmserver/pics/*
/usr/share/apps/ksplash/Themes/Berry/*
/usr/share/config/ksplashrc
/usr/share/icons/*
#/usr/share/apps/kstyle/pixmaps/*
#/usr/share/apps/kstyle/themes/*
/usr/share/wallpapers/*
#/usr/share/apps/kthememgr/Themes/*
#/usr/share/apps/kwin/icewm-themes/*
/opt/berry/*


##
## change log
##

%changelog
* Thu May 18 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed the wallpaper (for Berry Linux 0.70)
* Tue Jan 3 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added splash for grub (for Berry Linux 0.67)
* Wed Dec 21 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added Berry Crystal Icon Theme (for Berry Linux 0.66)
- Added qtrc
* Tue Nov 15 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed KDM Theme (for Berry Linux 0.65)
- Added berry.jpg for start screen
* Wed Jul 20 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed the cat's wallpaper (for Berry Linux 0.60)
* Sun Mar 27 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Updated KDM Theme
* Sun Mar 20 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added KDM Theme for KDE-3.4
- Deleted berry-login
* Wed Dec 1 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added cursor theme
* Sat Oct 30 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added shutdownlonq.png for ksmserver
- Changed the cat's wallpaper (for Berry Linux 0.50)
* Wed Jul 28 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed the wallpaper (for Berry Linux 0.46)
* Mon May 24 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed the wallpaper and the login wallpaper (for Berry Linux 0.43)
* Mon Mar 22 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added ksplashrc, Preview.png, Theme.rc for KDE-3.2
* Wed Jan 21 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed the wallpaper (for Berry Linux 0.35)
* Sat Nov 8 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed the wallpaper (for Berry Linux 0.29)
* Mon Oct 27 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed ksplash images (for Berry Linux 0.28)
- Added the wallpaper
* Mon Sep 22 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added K-Menu sidebar image
* Thu May 22 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
